/*

	CSS Syntax:

	selector {
	
		property:  value;

	}

*/


/*Unversal Selector - allows us to select ALL of our elements.

	monospace is a fallback font. In the event that the machine used
	to view your document does not have the declared font, we will fall
	back to a similar font.

	font-family:  changes the font style of text;
	font-size:  changes the size of the text;

*/

* {
	/*
	All elements will now have a font style of courier new and by
	default will be about 20px
	*/
	font-family: "Courier New", monospace;
	font-size: 20px;

}

body {
	background-color: skyblue;
}

html {
	scroll-behavior: smooth;
}

nav {
	background-color: white;
}
/*selector: hover pseudo class*/
/*change the style of the element when hovered over*/
a:hover{
	background-color: #b4d6de;
}

/*display property of div from block to inlne block, which means this div is now inline
with its siblings and yet occupy the remaining spacel ike a block element.*/
/*float: right - we were able to change the horizontal alignment of our elements to put it left or right of our container*/
div	{
	display: inline-block;
	float: right;
}

/*type selector - allows us to select all elements of the same type/tag*/
h1 {

	color: violet !important;
	text-align: center;
	font-size: 2rem;
	/*rem is a measurement which means num * the default size of root element's font(16px)*/
	/*Any declaration with !important will be the highest priority. This is specialy useful if you want to override a css style.
	However if an implementation  of the keyword is fount in internal or inline css we will still follow the level of specifity: ;
	inline with !important
	internal with !important
	external with !important

	*/
}

section	{
	height: 100vh;
	/*viewport height meaning this measurement takes the percentage of the overall height of the screen you are viewing with.*/
	text-align: center;
	/*allows us to align our text horizontally*/

}

h2 {
	font-size: 1.5rem;
}





/*id-selector it is given more priority than other selectors*/
#zuit-motto {

	letter-spacing: 5px;

}

.offering-item {
	text-transform: uppercase;
	color: green;
}

ol {
	list-style-type: none;
}

#listItem1 {

	color: blue;

}

/*attribute selector allows us to select particular elements with the same attributes
tagname[attribute]

	border-width:  allows us to determine the thickness of an element's border;
	border-style:  allows us to style the determine the style of the border;
	border-color:  allows us to determine the color of an element's border;
*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
	/*We defined the width of our input to be at least 90% of the width of its parent element.*/
}

/*Adjacent Sibling Selector* - allows us to select a particular element that immediately follows a sibling element./
/*selector + selector*/
/*	height and width properties will resize our elements.
	border-radius round out the corners of an element.
	 The higher the border-radius the more circular an element becomes.
*/
#zuit-motto + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector allows us to select elements that are descendants of the first selector(ancestor)*/
/*ancestor descendant*/

#bootcamp-learning-list li {

	color: #075966;

	/*color property and other similar properties can also accept hex values.
	 Hexadecimal values consist of # sign and the combination of 6 alphanumeric characters.
	  This lets define a more particular color.*/
}


/*General Sibling Selector:  allows to select siblings that are after our previous sibling.(first selector).*/
/*sibling ~ selector selected sibling*/

/*h2 ~ a{
	text-decoration: none;
}*/

a {

	text-decoration: none;
}

/*regiester section*/

form {
	text-align: center;
	background-color: white;
	border:  2px solid black;
	height: 185px;
	width: 25vw;
	/*is a measurement that is based on a percentage of your screen's wodth*/
	/*The position property changes the position of an element based on a certain criteria
	position relative; allows us to move our element in relation  to  its original position in the HTML document.
	left property is used alongisde the position property to add certain measurement to the left of the element.
	The value % is based on the measurement of the parent element. The parent element being the section tag which is a block element and occupies the full width of the page.
	In this the value of left property is about 37.25% from 100% of its parent element's width.
	*/
	position: relative;
	left: 37.25%;
}

/*Child Selector* allows to select a particular child of a parent element./
/*parent > cihld*/
section > form > label {

	color: rgb(0, 0, 128);
	/*
	The color property and other properties that change color can also accept an RGB value. RGB values refers to 
	red,green and blue. This allows us to determine a particular color by combining the values of red, green and blue
	 with the minimum of 0 and maximum of 128.
	*/
}

/*
	Mini Activity: ;

	Style our button with the following specificaiton:

		-the text of the button should be white;
		-the background color of the button has a hex value of #cf0053;
		-it should have 0 border.
		-border radius should be at least 15px;
*/

button[type="submit"]{
	color: white;
	background-color: #cf0053;
	border: 0;
	border-radius: 15px;
}
